%global pypi_name APScheduler

Name:           python-%{pypi_name}
Version:        3.9.1
Release:        %mkrel 1
Summary:        In-process task scheduler with Cron-like capabilities
Group:          Development/Python
License:        MIT
URL:            https://github.com/pyca/bcrypt/
Source0:        %{pypi_name}-%{version}.tar.xz

%description
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Advanced Python Scheduler (APScheduler) is a Python library that lets you
schedule your Python code to be executed later, either just once or
periodically. You can add new jobs or remove old ones on the fly as you please.
If you store your jobs in a database, they will also survive scheduler restarts
and maintain their state. When the scheduler is restarted, it will then run all
the jobs it should have run while it was offline.

%prep
%setup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{pypi_name}
%doc README*
%{python3_sitelib}/apscheduler
%{python3_sitelib}/APScheduler-%{version}-*.egg-info

%changelog
* Wed Aug 17 2022 TerryN <terryn94 at gmail.com> 3.9.1-1pclos2022
- update and rebuild for python 3.10

* Sat Feb 02 2019 tex 3.6.0-1pclos2019
- new version
